#!/usr/bin/perl -I./Bastille
##############################################################################
# Copyright (C) 1999 Jay Beale
# Licensed under the GNU General Public License
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#############################################################################

##############################################################################
# This is Bastille Script I, which should run immediately after installation,#
# and ONLY IMMEDIATELY after installation, of RedHat Linux 6.0.  It was      #
# began, and is currently maintained by, Jay Beale.                          #
#                                                                            #
# DISCLAIMER: This script is IN DEVELOPMENT! Please don't run this on a      #
#             development system or assume it to be complete.                #
#                                                                            #
#                                                                            #
# This script is based on hardening scripts that Jay Beale wrote for his     #
# employers for Solaris, combined with information in SANS' Securing Linux   #
# Step by Step, Kurt Seifried's Linux Administrators Security Guide, the     #
# Security HOWTO, the Unix Security Handbook, the Solaris Security FAQ and   #
#various magazine articles in LinuxWorld and SunWorld.                       #
#                                                                            #
##############################################################################


## Our use of modules is somewhat strange for Perl: we have a main routine
## in each module which runs on the "use" command.  Unfortunately, Perl
## reads all the "use"'s before reading any other code, so everything here
## that we want to run first has to be a module...

# Set up for taint mode, check for single user mode, start logging...

use Bastille::PrepareToRun;


#######################################################################
##                       "Bastille" init script                      ##
#######################################################################

use Bastille::CreateInitScript;

#######################################################################
##     Network Interface Protection/IPCHAINS/Personal Firewalling    ##
#######################################################################

use Bastille::IPCHAINS;

#######################################################################
##                            Patch Download                         ##
#######################################################################

use Bastille::PatchDownload;


#######################################################################
##                            File Permissions                       ##
#######################################################################

use Bastille::FilePermissions;


#######################################################################
##                     Account Creation/Security                     ##
#######################################################################

use Bastille::AccountSecurity;

#######################################################################
##                Protecting LILO and single user mode               ##
#######################################################################

use Bastille::BootSecurity;

#######################################################################
##                    inetd / TCP Wrappers Configuration             ##
#######################################################################

use Bastille::SecureInetd;


#######################################################################
##                      Disabling of User Space Tools                ##
#######################################################################

use Bastille::DisableUserTools;


#######################################################################
##    Misc. Pluggable Authentication Modules (PAM) Configuration     ##
#######################################################################

use Bastille::ConfigureMiscPAM;

#######################################################################
##                               Logging                             ##
#######################################################################

use Bastille::Logging;


#######################################################################
#######################################################################
####                            System Daemons                     ####
#######################################################################
#######################################################################

#######################################################################
##                          Miscellaneous Daemons                    ##
#######################################################################

use Bastille::MiscellaneousDaemons;

#######################################################################
##                               Sendmail                            ##
#######################################################################

use Bastille::Sendmail;


#######################################################################
##                            Remote Access                          ##
#######################################################################

use Bastille::RemoteAccess;

#######################################################################
##                             DNS/BIND/NAMED                        ##
#######################################################################

use Bastille::DNS;

#######################################################################
##                              HTTP/APACHE                          ##
#######################################################################

use Bastille::Apache; 

#######################################################################
##                                lpr/lpd                            ##
#######################################################################

use Bastille::Printing;

#######################################################################
##                                  FTP                              ##
#######################################################################

use Bastille::FTP;

#######################################################################
##                            Security Scanners                      ##
#######################################################################

use Bastille::Scanners;   

#######################################################################
##                              Wrap up                              ##
#######################################################################

use Bastille::WrapUp;


